#ifndef __DB__DB_PH__
#define __DB__DB_PH__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

void DbStartup ();
void DbCleanup ();
void DbCreateObject (char* definition);
/* void DbCreateObjects (char* definition, ...); */
DbObject DbLoadObject (char* name);
/* void DbLoadObjects (char* pattern, CLList list); */
DbObject DbLoadObjectByTag (char* name, char* tag);
DbObject DbLoadObjectByDate (char* name, char* date);
/* DbObject DbLoadObjectFromBranch (char* name, char* branch); */
/* void DbLoadObjectsByTag (char* pattern, char* tag, CLList list); */
void DbTagObject (char* name, char* tag);
/* void DbTagObjectsInPath (char* path_name, char* tag); */
/* void DbTagDatabase (char* tag); */
/* void DbDeleteObjectTag (char* name, char* tag); */
/* void DbCreateBranch (char* tag, char* branch); */
/* void DbCommitObjectInBranch (char* name, char* btag); */
void DbObjectCommitInBranch (DbObject object, char* btag);
/* DbVector* DbGetVersionHistory (char* object_name); */
/* DbVector* DbGetObjectHistory (DbObject object,; */
void DbObjectCommit (DbObject object);
/* void DbObjectCommitAndHoldLock (DbObject object); */
void DbCommitObject (char* name);
/* void DbCommitObjects (char* pattern); */
/* void DbCommitObjectAndHoldLock (char* name); */
void DbLockObject (char* name);
void DbUnlockObject (char* name);
/* void DbAddTrigger (char* name, DbTriggerType trigger_type); */
/* void DbRemoveTrigger (char* name, DbTriggerType trigger_type); */
/* void DbDeleteObject (char* name); */
/* void DbDeleteType (char* name); */
char* DbObjectGetNames (char* expression);
/* char* DbObjectGetNamesInPath (char* path); */
/* char* DbSubPathGetNames (char* path); */
/* char* DbTypeGetNames (char* expression); */
DbType DbLoadType (char* name);
/* void DbStopServer (); */
/* void DbRestartServer (); */
/* static DbType DbCreateType (char* definition); */
char* DbReadFile (char* file_name);
/* int DbWriteFile (char* name, char* text); */
char* DbServerName ();
/* void DbSetDebug (); */
/* void DbSetNoDebug (); */
int DbDebug ();
/* void DbSetVersioning (); */
/* void DbSetNoVersioning (); */
/* int DbGetVersioning (); */
/* void DbSetLocks (DbLockMode mode); */
/* void DbResetLocks (); */
void DbWaitForTransaction (int transaction);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __DB__DB_PH__ */
