Summary: VIRGO Fd library
Name: virgoApp-Fd
Version: 8.15.2
Release: 2%{?dist}
License: GNU General Public License Version 3
Source: virgoApp-Fd-8.15.2.tar.gz
URL: http://www.ego-gw.it
Packager: Edward Maros <ed.maros@ligo.org>
Group: Application/Scientific
Requires: virgoApp-Frv
Requires: virgoApp-Cbf
Requires: virgoApp-Cfg
Requires: virgoApp-Db
Requires: virgoApp-Cm
Requires: libframe
BuildRoot: %{buildroot}
Buildrequires: virgoApp-Frv-devel
Buildrequires: virgoApp-Cbf-devel
Buildrequires: virgoApp-Cfg-devel
Buildrequires: virgoApp-Db-devel
Buildrequires: virgoApp-Cm-devel
Buildrequires: libframe-devel
Buildrequires: cmake
Buildrequires: pkgconfig

%description
This is a collection of tools used by the LIGO scientific community

%package devel
Group: Development/Scientific
Summary: VIRGO library
%description devel
This provides the develpement files the VIRGO Db library.
Requires: virgoApp-Db

%prep
%setup -q

%build
%cmake .

%install
make install DESTDIR=%{buildroot}

%check
ctest -V %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 04 2016 Edward Maros <ed.maros@ligo.org> - 2.9.0
- Initial build.
